var env = require('../env')
  , configCouch = require('../config/config-couchdb')
  , designDocs = require('../config/config-couchdb')
  ;

console.log("Running on",env.couchServerURL);

require('../app').App({
    couchServerURL: env.couchServerURL,
    dbName: env.dbName
}).then(function(app){
    configCouch(env.couchServerURL,env.dbName,designDocs);
    return app;
}).then(function(app){
    app.listen(env.port, function() {
        console.log('Listening on port',env.port);
    });
}, function(error){
    console.error(error);
});
