var env = require('../env')
  , upgradeCouch = require('../config/upgrade-couchdb')
  , cryptoken = require('../util/crypto-token')
  , Q = require('q')
  ;
upgradeCouch(env.couchServerURL,env.dbName,function(doc){
    if ( (doc.type === 'Response' || doc.type === 'SurveyRun') && !doc.secret ) {
        return cryptoken(8).then(function(token){
            doc.secret = token;
            return doc;
        });
    } else {
        return Q.reject();
    }
}).then(function(res){
    console.log("done",res);
}, function(err){
    console.error("fail",err);
});
