define([
    "dijit/_TemplatedMixin",
    "dijit/_WidgetBase",
    "dojo/_base/declare",
    "dojo/dom-attr",
    "dojo/text!./templates/SurveySummary.html"
], function(_TemplatedMixin, _WidgetBase, declare, domAttr, template) {
    return declare([_WidgetBase,_TemplatedMixin],{
        templateString: template,
        survey: null,
        startup: function() {
            this.inherited(arguments);
            if ( this.survey ) {
                this._setValueAttr(this.survey);
            }
        },
        _setValueAttr: function(survey) {
            this.titleNode.innerHTML = survey.title || "";
            domAttr.set(this.titleNode, "href", survey._id && ("#!/survey/"+survey._id));
            this.descriptionNode.innerHTML = survey.description;
            this.questionsNode.innerHTML = survey.questions.length;
        }
    });
});
