define([
    "./pages/index",
    "./pages/previewSurvey",
    "./pages/question",
    "./pages/questions",
    "./pages/survey",
    "./pages/surveyRun",
    "./pages/surveys"
], function(index, previewSurvey, question, questions, survey, surveyRun, surveys) {

    return [
        { path: "/", redirect: "/index" },
        { path: "/index", constructor: index },
        { path: "/questions", constructor: questions },
        { path: "/question/:questionId", constructor: question },
        { path: "/surveys", constructor: surveys },
        { path: "/survey/:surveyId", constructor: survey },
        { path: "/surveyRun/:surveyRunId", constructor: surveyRun },
        //{ path: "/sessions", constructor: sessions },
        //{ path: "/session/:sessionId", constructor: session },
        { path: "/previewSurvey/:surveyId", constructor: previewSurvey }
    ];

});
