var _ = require('underscore');

var revRe = /"([^"]*)"/g;

exports.parse = function(header) {
    return _.map((header && header.match(revRe)) || [], function(str){
        return str.substring(1,str.length-1);
    });
};

exports.format = function(etags) {
    return _.map(etags || [], function(str) { return '"'+str+'"'; })
            .join(', ');
};
